# dio helper
dio helper class used to api calling get, post, delete, put.

```dart
var apiRepository = ApiRepository(ApiProvider(DioHelper(Dio())));
String mainUrl = 'https://api.first.org/data/v1/';
```
## GET API
```dart
apiRepository.getApi('${mainUrl}countries', success: (response) {},
    error: (error) {
  print('${error.message} ${error.message}');
});
```

## POST API
```dart
apiRepository.postApi('${mainUrl}countries', success: (response) {},
    error: (error) {
  print('${error.message} ${error.message}');
});
```

## POST API WITH QUERY PARAMETER CALLING
```dart
apiRepository.postApi('${mainUrl}countries',
    queryParameters: {}, //QUERY PARAMETER
    success: (response) {}, error: (error) {
  print('${error.message} ${error.message}');
});
```

## POST API WITH BODY (JSON) CALLING
```dart
apiRepository.postApi('${mainUrl}countries', data: {}, success: (response) {},
    error: (error) {
  print('${error.message} ${error.message}');
});
```

## IMAGE / FILE UPLOAD USING Multipart POST API
```dart
  FormData formData = FormData.fromMap({
    "name": "",
    "age": 1,
    "file": await MultipartFile.fromFile("./flutter.png", filename: "flutter.png"),
  });
  
  apiRepository.imageUpload('${mainUrl}countries',
      formData: formData,
      success: (response) {},
      error: (error) {
    print('${error.message} ${error.message}');
  });
```