/*
Use: CREATE API PROVIDER USE API CALLING getApi, postApi
*/

import 'package:dio_helper_flutter/dio_helper.dart';
import 'package:dio/dio.dart' as dio;

class ApiProvider {
  final DioHelper _dioHelper;

  ApiProvider(this._dioHelper);

  //GET API
  void getApi(String baseUrl,
      {Map<String, dynamic>? queryParameters,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _dioHelper.request(baseUrl,
        queryParameter: queryParameters,
        dioMethod: DioMethod.post,
        success: success,
        error: error);
  }

  //POST API
  void postApi(String baseUrl,
      {Map<String, dynamic>? queryParameters,
      dynamic data,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _dioHelper.request(baseUrl,
        data: data,
        queryParameter: queryParameters,
        dioMethod: DioMethod.post,
        success: success,
        error: error);
  }

  //IMAGE UPLOAD POST
  void imageUpload(String baseUrl,
      {required dio.FormData formData,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _dioHelper.request(baseUrl, data: formData, success: success, error: error);
  }
}
